using AutoMapper;
using Knots.DTO.Discussion;
using Knots.DTO.User;
using Knots.Models;

namespace Knots.Profiles;

public class UserProfile : Profile
{
    public UserProfile()
    {
        CreateMap<User, GetUserDetailsDto>();
        CreateMap<User, GetUserDto>();
        CreateMap<CreateUserDto, User>();
        CreateMap<UpdateUserDto, User>();
        CreateMap<UpdateUserContactDto, User>();
        CreateMap<UpdateUserDescriptionDto, User>();
        CreateMap<UpdateUsernameDto, User>();
        CreateMap<UpdateUserProfilePictureDto, User>();
        CreateMap<UpdateUserPasswordDto, User>();
        
        CreateMap<User, UpdateUserContactDto>();
        CreateMap<User, UpdateUserDto>();
        CreateMap<User, UpdateUserDescriptionDto>();
        CreateMap<User, UpdateUserProfilePictureDto>();
        CreateMap<User, UpdateUserPasswordDto>();
        CreateMap<User, CreateUserDto>();
    }
}